package com.zd.common.core.enums;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * @Author: zhoupan
 * @Date: 2021/10/06/13:40
 * @Description:
 */
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum WarnMessageTypeEnum implements BaseEnum<Integer> {

    voice(0, "语音" ),
    SMS(1, "短信" ),
    ;

    WarnMessageTypeEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    private Integer code;

    private String name;



    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }


    @Override
    public Integer getDictKey() {
        return code;
    }
}